> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get business entity config

> List all per-country/currency configs for a business entity.



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /business_entities/{business_entity_id}/config
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /business_entities/{business_entity_id}/config:
    get:
      tags:
        - Business Entities
      summary: Get business entity config
      description: List all per-country/currency configs for a business entity.
      operationId: Get-business-entity-config
      parameters:
        - name: business_entity_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Business Entity Id
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The cursor indicating a unique set of results - this should be
              auto generated and you get it from the `next` and `previous`
              fields of the response
            examples:
              - V2VsbCBhcmV1IGN1cmlvdxM=
            title: Cursor
          description: >-
            The cursor indicating a unique set of results - this should be auto
            generated and you get it from the `next` and `previous` fields of
            the response
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: The number of results to return - defaults to 10
            examples:
              - 10
            title: Limit
          description: The number of results to return - defaults to 10
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResults_BusinessEntityConfigResponseSchema_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResults_BusinessEntityConfigResponseSchema_:
      properties:
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
          description: The cursor for the next page of results
          examples:
            - V2VsbCBhcmV1IGN1cmlvdxM=
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
          description: The cursor for the previous page of results
          examples:
            - GmBsbCBhcmV1IGN1cmlvdxM=
        total_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Count
          description: The total count of rows
        results:
          items:
            $ref: '#/components/schemas/BusinessEntityConfigResponseSchema'
          type: array
          title: Results
          description: The results for the current page
      type: object
      required:
        - results
      title: PaginatedResults[BusinessEntityConfigResponseSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BusinessEntityConfigResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Config row ID
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: Organisation ID
        business_entity_id:
          type: string
          format: uuid
          title: Business Entity Id
          description: Business entity ID
        country_code:
          type: string
          title: Country Code
          description: ISO country code
        currency_code:
          type: string
          title: Currency Code
          description: ISO currency code
        is_enabled:
          type: boolean
          title: Is Enabled
          description: Whether tax is enabled
        tax_calculation_method:
          type: string
          title: Tax Calculation Method
          description: 'Calculator: NATIVE, AVALARA, or ANROK'
      type: object
      required:
        - id
        - organization_id
        - business_entity_id
        - country_code
        - currency_code
        - is_enabled
        - tax_calculation_method
      title: BusinessEntityConfigResponseSchema
      description: Response shape for a single business entity config row.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````